## ros-noetic-darknet-ros-msgs 1.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(darknet_ros_msgs)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

find_package(catkin REQUIRED
  COMPONENTS
    actionlib_msgs
    geometry_msgs
    sensor_msgs
    std_msgs
    message_generation
)

add_message_files(
  FILES
    BoundingBox.msg
    BoundingBoxes.msg
    ObjectCount.msg
)

add_action_files(
  FILES
    CheckForObjects.action
)

generate_messages(
  DEPENDENCIES
    actionlib_msgs
    geometry_msgs
    sensor_msgs
    std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    actionlib_msgs
    geometry_msgs
    sensor_msgs
    message_runtime
    std_msgs
)

=== debian/changelog ===
ros-noetic-darknet-ros-msgs (1.1.5-1buster) buster; urgency=high

  * Merge pull request #189 <https://github.com/leggedrobotics/darknet_ros/issues/189> from martinspedro/master
    /darknet_ros/found_object uses custom msg with Header for improving synchronization
  * std_msgs::Int8 with Header for Object Count
  * Merge pull request #183 <https://github.com/leggedrobotics/darknet_ros/issues/183> from kunaltyagi/id_num
    Add numerical ID and launch param for image
  * Adding numerical ID and launch param for image
  * Contributors: Kunal Tyagi, Marko Bjelonic, Pedro Martins

 -- Marko Bjelonic <marko.bjelonic@mavt.ethz.ch>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-darknet-ros-msgs (1.1.4-1buster) buster; urgency=high



 -- Marko Bjelonic <marko.bjelonic@mavt.ethz.ch>  Sat, 02 Mar 2019 23:00:00 -0000

ros-noetic-darknet-ros-msgs (1.1.3-1buster) buster; urgency=high

  * Fixed formatting part 2.
  * Merge branch 'firephinx-master'
  * Merge branch 'master' of https://github.com/firephinx/darknet_ros into firephinx-master
  * Added rgb_image_header to BoundingBoxes msg.
  * Merge pull request #57 <https://github.com/leggedrobotics/darknet_ros/issues/57> from leggedrobotics/devel/threads
    Devel/threads
  * Adapted package description.
  * Merge branch 'master' into devel/threads
  * Update package.xml
  * Contributors: Kevin Zhang, Marko Bjelonic

 -- Marko Bjelonic <marko.bjelonic@mavt.ethz.ch>  Wed, 25 Apr 2018 22:00:00 -0000

ros-noetic-darknet-ros-msgs (1.1.2-1buster) buster; urgency=high

  * First release of darknet_ros_msgs.

 -- Marko Bjelonic <marko.bjelonic@mavt.ethz.ch>  Fri, 05 Jan 2018 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-darknet-ros-msgs
Section: misc
Priority: optional
Maintainer: Marko Bjelonic <marko.bjelonic@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: https://github.com/leggedrobotics/darknet_ros
Standards-Version: 3.9.2

Package: ros-noetic-darknet-ros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: Darknet is an open source neural network framework that runs on CPU and GPU.
 You only look once (YOLO) is a state-of-the-art, real-time object detection system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-darknet-ros-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
